import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '页数',
    align:"center",
    dataIndex: 'page'
   },
   {
    title: '气缸料号1',
    align:"center",
    dataIndex: 'cylinder1'
   },
   {
    title: '气缸料号2',
    align:"center",
    dataIndex: 'cylinder2'
   },
   {
    title: '活塞料号1',
    align:"center",
    dataIndex: 'piston1'
   },
   {
    title: '活塞料号2',
    align:"center",
    dataIndex: 'piston2'
   },
   {
    title: '划片料号1',
    align:"center",
    dataIndex: 'scribing1'
   },
   {
    title: '划片料号2',
    align:"center",
    dataIndex: 'scribing2'
   },
   {
    title: '中试作业员',
    align:"center",
    dataIndex: 'operator'
   },
   {
    title: '关联工单id',
    align:"center",
    dataIndex: 'templateId_dictText'
   },
   {
    title: '关联工序卡id',
    align:"center",
    dataIndex: 'stepId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '页数',
    field: 'page',
    component: 'Input',
  },
  {
    label: '气缸料号1',
    field: 'cylinder1',
    component: 'Input',
  },
  {
    label: '气缸料号2',
    field: 'cylinder2',
    component: 'Input',
  },
  {
    label: '活塞料号1',
    field: 'piston1',
    component: 'Input',
  },
  {
    label: '活塞料号2',
    field: 'piston2',
    component: 'Input',
  },
  {
    label: '划片料号1',
    field: 'scribing1',
    component: 'Input',
  },
  {
    label: '划片料号2',
    field: 'scribing2',
    component: 'Input',
  },
  {
    label: '中试作业员',
    field: 'operator',
    component: 'Input',
  },
  {
    label: '关联工单id',
    field: 'templateId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_template,task_no,id"
     },
  },
  {
    label: '关联工序卡id',
    field: 'stepId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_step,name,id"
     },
  },
];
