import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '检查项目名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '关联工序id',
    align:"center",
    dataIndex: 'processId_dictText'
   },
   {
    title: '参数类型(0-字符串 1-图片)',
    align:"center",
    dataIndex: 'paramType_dictText'
   },
   {
    title: '排序字段',
    align:"center",
    dataIndex: 'orderNo'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '检查项目名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '关联工序id',
    field: 'processId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_process,name,id"
     },
  },
  {
    label: '参数类型(0-字符串 1-图片)',
    field: 'paramType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"item_check_type"
     },
  },
  {
    label: '排序字段',
    field: 'orderNo',
    component: 'InputNumber',
  },
];
