import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '工序名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '关联工序流程id',
    align:"center",
    dataIndex: 'stepId_dictText'
   },
   {
    title: '排序编号',
    align:"center",
    dataIndex: 'orderNo'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '工序名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '关联工序流程id',
    field: 'stepId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_step,name,id"
     },
  },
  {
    label: '排序编号',
    field: 'orderNo',
    component: 'InputNumber',
  },
];
