import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '关联工单id',
    align:"center",
    dataIndex: 'templateId_dictText'
   },
   {
    title: '气密检查-泄露-规格',
    align:"center",
    dataIndex: 'param0'
   },
   {
    title: '气密检查-泄露-1',
    align:"center",
    dataIndex: 'param1'
   },
   {
    title: '气密检查-泄露-2',
    align:"center",
    dataIndex: 'param2'
   },
   {
    title: '气密检查-泄露-3',
    align:"center",
    dataIndex: 'param3'
   },
   {
    title: '气密检查-泄露-4',
    align:"center",
    dataIndex: 'param4'
   },
   {
    title: '气密检查-泄露-5',
    align:"center",
    dataIndex: 'param5'
   },
   {
    title: '气密检查-泄露-6',
    align:"center",
    dataIndex: 'param6'
   },
   {
    title: '气密检查-泄露-7',
    align:"center",
    dataIndex: 'param7'
   },
   {
    title: '气密检查-泄露-8',
    align:"center",
    dataIndex: 'param8'
   },
   {
    title: '气密检查-泄露-9',
    align:"center",
    dataIndex: 'param9'
   },
   {
    title: '气密检查-泄露-10',
    align:"center",
    dataIndex: 'param10'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '关联工单id',
    field: 'templateId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_template,task_no,id"
     },
  },
  {
    label: '气密检查-泄露-规格',
    field: 'param0',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-1',
    field: 'param1',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-2',
    field: 'param2',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-3',
    field: 'param3',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-4',
    field: 'param4',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-5',
    field: 'param5',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-6',
    field: 'param6',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-7',
    field: 'param7',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-8',
    field: 'param8',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-9',
    field: 'param9',
    component: 'Input',
  },
  {
    label: '气密检查-泄露-10',
    field: 'param10',
    component: 'Input',
  },
];
