package org.jeecg.modules.workorderTemplate.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.workorderTemplate.entity.ImportBean;

import java.util.List;

public interface WorkorderExcelService {

    /**
     * 工单导入
     * @param importBeanList 导入数据
     * @return
     */
    public Result<?> templateImport1(List<ImportBean> importBeanList);

    /**
     * 工单导入
     * @param path 导入文件路径
     * @return
     */
    public Result<?> templateImport(String path);

    /**
     * 工单导出
     * @param templateId 工单编号
     * @return
     */
    public Result<?> templateExport(String path, String templateId);

}
