import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '任务号',
    align:"center",
    dataIndex: 'taskNo'
   },
   {
    title: '担当信息',
    align:"center",
    dataIndex: 'responsibler'
   },
   {
    title: '机型信息',
    align:"center",
    dataIndex: 'model'
   },
   {
    title: '数量',
    align:"center",
    dataIndex: 'number'
   },
   {
    title: '是否紧急',
    align:"center",
    dataIndex: 'isEmergency_dictText'
   },
   {
    title: '备注',
    align:"center",
    dataIndex: 'remark'
   },
   {
    title: '关联状态id',
    align:"center",
    dataIndex: 'statusId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '任务号',
    field: 'taskNo',
    component: 'Input',
  },
  {
    label: '担当信息',
    field: 'responsibler',
    component: 'Input',
  },
  {
    label: '机型信息',
    field: 'model',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '数量',
    field: 'number',
    component: 'InputNumber',
  },
  {
    label: '是否紧急',
    field: 'isEmergency',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"emergency_flag"
     },
  },
  {
    label: '备注',
    field: 'remark',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '关联状态id',
    field: 'statusId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_status,name,id"
     },
  },
];
