import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '用户名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '用户密码',
    align:"center",
    dataIndex: 'password'
   },
   {
    title: '用户头像',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '关联角色id',
    align:"center",
    dataIndex: 'roleId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '用户密码',
    field: 'password',
    component: 'Input',
  },
  {
    label: '用户头像',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '关联角色id',
    field: 'roleId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_role,name,id"
     },
  },
];
