package org.jeecg.modules.apiBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

@Data
public class QueryTemplateBean {

    /**任务号*/
    @Excel(name = "任务号", width = 15)
    @ApiModelProperty(value = "任务号")
    private java.lang.String taskNo;
    /**担当信息*/
    @Excel(name = "担当信息", width = 15)
    @ApiModelProperty(value = "担当信息")
    private java.lang.String responsibler;
    /**机型信息*/
    @Excel(name = "机型信息", width = 15)
    @ApiModelProperty(value = "机型信息")
    private java.lang.String model;
    /**数量*/
    @Excel(name = "数量", width = 15)
    @ApiModelProperty(value = "数量")
    private java.lang.Integer number;
    /**是否紧急*/
    @Excel(name = "是否紧急", width = 15, dicCode = "emergency_flag")
    @Dict(dicCode = "emergency_flag")
    @ApiModelProperty(value = "是否紧急")
    private java.lang.String isEmergency;
    /**备注*/
    @Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remark;
    /**关联状态id*/
    @Excel(name = "关联状态id", width = 15, dictTable = "workorder_status", dicText = "name", dicCode = "id")
    @Dict(dictTable = "workorder_status", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "关联状态id")
    private java.lang.String statusId;


}
