import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '关联工单id',
    align:"center",
    dataIndex: 'templateId_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '关联工单状态id',
    align:"center",
    dataIndex: 'statusId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '关联工单id',
    field: 'templateId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_template,task_no,id"
     },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_user,name,id"
     },
  },
  {
    label: '关联工单状态id',
    field: 'statusId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_status,name,id"
     },
  },
];
