package org.jeecg.modules.workorderParamSteptwo.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 检查项目参数表_工序卡2
 * @Author: jeecg-boot
 * @Date:   2024-11-26
 * @Version: V1.0
 */
@Data
@TableName("workorder_param_steptwo")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="workorder_param_steptwo对象", description="检查项目参数表_工序卡2")
public class WorkorderParamSteptwo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**规格*/
	@Excel(name = "规格", width = 15)
    @ApiModelProperty(value = "规格")
    private java.lang.String specs;
	/**参数1*/
	@Excel(name = "参数1", width = 15)
    @ApiModelProperty(value = "参数1")
    private java.lang.String param1;
	/**参数2*/
	@Excel(name = "参数2", width = 15)
    @ApiModelProperty(value = "参数2")
    private java.lang.String param2;
	/**参数3*/
	@Excel(name = "参数3", width = 15)
    @ApiModelProperty(value = "参数3")
    private java.lang.String param3;
	/**参数4*/
	@Excel(name = "参数4", width = 15)
    @ApiModelProperty(value = "参数4")
    private java.lang.String param4;
	/**参数5*/
	@Excel(name = "参数5", width = 15)
    @ApiModelProperty(value = "参数5")
    private java.lang.String param5;
	/**参数6*/
	@Excel(name = "参数6", width = 15)
    @ApiModelProperty(value = "参数6")
    private java.lang.String param6;
	/**参数7*/
	@Excel(name = "参数7", width = 15)
    @ApiModelProperty(value = "参数7")
    private java.lang.String param7;
	/**参数8*/
	@Excel(name = "参数8", width = 15)
    @ApiModelProperty(value = "参数8")
    private java.lang.String param8;
	/**参数9*/
	@Excel(name = "参数9", width = 15)
    @ApiModelProperty(value = "参数9")
    private java.lang.String param9;
	/**参数10*/
	@Excel(name = "参数10", width = 15)
    @ApiModelProperty(value = "参数10")
    private java.lang.String param10;
	/**作业员*/
	@Excel(name = "作业员", width = 15)
    @ApiModelProperty(value = "作业员")
    private java.lang.String operator;
	/**关联工序id*/
	@Excel(name = "关联工序id", width = 15, dictTable = "workorder_item_check", dicText = "name", dicCode = "id")
	@Dict(dictTable = "workorder_item_check", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "关联工序id")
    private java.lang.String processId;
	/**关联工单id*/
	@Excel(name = "关联工单id", width = 15, dictTable = "workorder_template", dicText = "task_no", dicCode = "id")
	@Dict(dictTable = "workorder_template", dicText = "task_no", dicCode = "id")
    @ApiModelProperty(value = "关联工单id")
    private java.lang.String templateId;
}
