import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '规格',
    align:"center",
    dataIndex: 'specs'
   },
   {
    title: '参数1',
    align:"center",
    dataIndex: 'param1'
   },
   {
    title: '参数2',
    align:"center",
    dataIndex: 'param2'
   },
   {
    title: '参数3',
    align:"center",
    dataIndex: 'param3'
   },
   {
    title: '参数4',
    align:"center",
    dataIndex: 'param4'
   },
   {
    title: '参数5',
    align:"center",
    dataIndex: 'param5'
   },
   {
    title: '参数6',
    align:"center",
    dataIndex: 'param6'
   },
   {
    title: '参数7',
    align:"center",
    dataIndex: 'param7'
   },
   {
    title: '参数8',
    align:"center",
    dataIndex: 'param8'
   },
   {
    title: '参数9',
    align:"center",
    dataIndex: 'param9'
   },
   {
    title: '参数10',
    align:"center",
    dataIndex: 'param10'
   },
   {
    title: '作业员',
    align:"center",
    dataIndex: 'operator'
   },
   {
    title: '关联工序id',
    align:"center",
    dataIndex: 'processId_dictText'
   },
   {
    title: '关联工单id',
    align:"center",
    dataIndex: 'templateId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '规格',
    field: 'specs',
    component: 'Input',
  },
  {
    label: '参数1',
    field: 'param1',
    component: 'Input',
  },
  {
    label: '参数2',
    field: 'param2',
    component: 'Input',
  },
  {
    label: '参数3',
    field: 'param3',
    component: 'Input',
  },
  {
    label: '参数4',
    field: 'param4',
    component: 'Input',
  },
  {
    label: '参数5',
    field: 'param5',
    component: 'Input',
  },
  {
    label: '参数6',
    field: 'param6',
    component: 'Input',
  },
  {
    label: '参数7',
    field: 'param7',
    component: 'Input',
  },
  {
    label: '参数8',
    field: 'param8',
    component: 'Input',
  },
  {
    label: '参数9',
    field: 'param9',
    component: 'Input',
  },
  {
    label: '参数10',
    field: 'param10',
    component: 'Input',
  },
  {
    label: '作业员',
    field: 'operator',
    component: 'Input',
  },
  {
    label: '关联工序id',
    field: 'processId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_item_check,name,id"
     },
  },
  {
    label: '关联工单id',
    field: 'templateId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_template,task_no,id"
     },
  },
];
