import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '关联角色id',
    align:"center",
    dataIndex: 'roleId_dictText'
   },
   {
    title: '关联权限id',
    align:"center",
    dataIndex: 'permissionId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '关联角色id',
    field: 'roleId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_role,name,id"
     },
  },
  {
    label: '关联权限id',
    field: 'permissionId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"workorder_permission,name,id"
     },
  },
];
