package org.jeecg.modules.api.workorderController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.BannerService;
import org.jeecg.modules.apiService.NewsService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="轮播图信息相关接口")
@RestController
@RequestMapping("/workorder/banner")
@Slf4j
public class BannerController {

    //轮播图信息
    @Resource
    private BannerService bannerService;
    /****************************************************************************************************/

    @ApiOperation(value="轮播图-轮播图列表", notes="轮播图-轮播图列表")
    @RequestMapping(value = "/queryBannerList", method = {RequestMethod.GET})
    public Result<?> queryBannerList(PageBean pageBean){
        return bannerService.queryBannerList(pageBean);
    }


}
