package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;

public interface ExcelService {

    /**
     * 工单导入
     * @param path 导入文件路径
     * @return
     */
    public Result<?> templateImport(String path);

    /**
     * 工单导出
     * @param templateId 工单编号
     * @return
     */
    public Result<?> templateExport(String templateId);

}
