package org.jeecg.modules.apiService.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.BannerService;
import org.jeecg.modules.workorderBanner.entity.WorkorderBanner;
import org.jeecg.modules.workorderBanner.service.IWorkorderBannerService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class BannerServiceImpl implements BannerService {

    //轮播图信息
    @Resource
    private IWorkorderBannerService workorderBannerService;
    /*************************************************************************************/


    //轮播图-轮播图列表
    @Override
    public Result<?> queryBannerList(PageBean pageBean) {
        Page<WorkorderBanner> page = new Page<WorkorderBanner>(pageBean.getPageNo(), pageBean.getPageSize());
        Page<WorkorderBanner> pageList = workorderBannerService
                .lambdaQuery()
                .page(page);

        return Result.OK("轮播图列表", pageList);
    }

}
